gpx2navit_txt(1)

NAME
gpx2navit_txt - Convert GPX files to navit txt files

SYNOPSIS
gpx2navit_txt [options] [-o output file] gpxfile

DESCRIPTION
gpx2navit_txt is a converter from GPX file to navit txt file The original gpx2shp was used for that program. This is a output of Metro Manila Transit Map Project by JOCV (Japan Overseas Cooperation Volunteers) program of JICA (Japan International Cooperation Agency) in 2004. It is provided you on GPL2.

OPTIONS

-o, --output
    Sets output basename. The default is (source file name) - (extention name)

-w, --waypoints
    Converts only waypoints data from a gpx file.

-t, --trackpoints
    Converts only trackpoints data from a gpx file.

-r, --routes
    Converts only routes data from a gpx file.

-a, --all
    Converts all types of data from a gpx file.(default)

-e, --as-edge
    Makes a separated output by each edges.

-p, --as-point
    Makes a separated output by each points.

-s, --stats
    Shows simple statistics of the outputs.

-b, --basic-columns
    Stores only basic data as attribures to reduce memory and storage usage. (ele, name, cmt, type, time, fix, sym and number).

-L, --no-length
    Removes length column from a waypoint or trackpoint attribute table.

-S, --no-speed
    Removes speed column from a waypoint or trackpoint attribute table.

-T, --no-time
    Removes time column from an attribute table.

-g, --gpxline
    Adds line number of GPX file as attribures.

-f, --fast
    Make it faster without any checks.

-3, --3d
    Converts data using 3d format. (It's not compatible for Arcview 3.x.)

--min-points
    Sets path minimum points to convert for noise reduction. Default is 2.

--min-length
    Sets path minimum length to convert for noise reduction. Default is 0.

--min-time
    Sets path minimum time period to convert for noise reduction. Default is 0.

--length-unit
    Sets length unit from m,km,feet,mi and etc. The default is m. You can see the unit list from "geod -lu" command.

--time-unit
    Sets time unit. The default is sec. You can set from day, hour, min and sec.

--speed-length-unit
    Sets length unit for speed. The default is km. You can see the unit list from "geod -lu" command.

--speed-time-unit
    Sets time unit for speed calulation. Default is hour. You can set from day, hour, min and sec.

--length-ellipsoid
    Sets length ellipsoid like UGS84, clrk66. The default is UGS84. You can see the unit list from "geod -le" command.

--no-speed-check
    Disables checking the track speed to be non-zero.

-v, --verbose
    Gives many messages.

--version
    Shows version.

-h, --help
    Shows this list.

AUTHORS
Toshihiro Hiraoka
Petter Reinholdtsen

BUGS or OPINIONS
Please e-mail your bugs or opinions to
washitoshi at yahoo.co.jp

SEE ALSO
gpx2shp / gps2shp homepage
http://gpx2shp.sourceforge.jp